Web lists-archives.com

Re: GtkGLArea




From your response, it sounded like GtkGLArea should be working--I installed a newer version of GTK+ and it works fine.  Cool.

On 12/19/16 15:31, Emmanuele Bassi wrote:
Hi;

On 19 December 2016 at 20:05, Chris Moller <moller@xxxxxxxxxxxxxx> wrote:
Over the last few days I wrote a little OpenGL/glut app and in the process
noticed the existence of GtkGLArea.  Giving it a try, I'm getting the strong
impression it's not ready for prime time, at least not in GTK 3.18.8--I keep
getting "Unable to create a GL context" errors.
Without more information on your system it's unlikely you'll be able
to get a sensible answer.

You're not even saying which platform and operating system you're using.

If you're using Linux or Windows: until GTK+ 3.20, the OpenGL support
in GTK+ required an implementation of OpenGL 3.2+ core profiles; in
3.20 I added support for legacy, GL 3.0 profiles, which are basically
the lowest we can get in order to get a decent GL API.

If you're using macOS: there's no GL integration for this platform.

 Will a newer GTK work better?
It depends on the platform. On Linux and Windows, most likely. Nothing
happened on the macOS backend to improve the situation.

Ciao,
 Emmanuele.


_______________________________________________
gtk-list mailing list
gtk-list@xxxxxxxxx
https://mail.gnome.org/mailman/listinfo/gtk-list